# Generated by Django 3.2.6 on 2022-03-18 10:33

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import lingua.fields


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('smartwater', '0008_auto_20220314_1554'),
    ]

    operations = [
        migrations.AlterField(
            model_name='collect',
            name='main_question',
            field=lingua.fields.LinguaField(blank=None, null=True, verbose_name='Main Question'),
        ),
        migrations.CreateModel(
            name='UserSignupConfirmation',
            fields=[
                ('token', models.UUIDField(auto_created=True, editable=False)),
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('visited', models.BooleanField(default=False)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
